<template>
  <div class="add col-md-7 row">
   <div class="col-md-6">
   <div class="form-group">


  <label>Last Name</label>
    <input type="text" class="form-control" v-model="permission.lastName" placeholder="Last Name">
  </div>

    <div class="form-group">
    <label>Type Permission</label>
    <select class="form-control" v-model="permission.typePermissionId" placeholder="Name" >
     <option disabled value="0">PermissionType</option>
            <option v-for="item in types" :key="item.id" :value="item.id">
            {{item.descripcion}}
            </option>
    </select>
  </div>
   </div>
   <div class="col-md-6">
     <div class="form-group">
  <label>Name</label>
    <input type="text" v-model="permission.name" class="form-control"  placeholder="Name">
  </div>

  

  <div class="form-group">
  <label>Date</label>
    <input type="date" class="form-control"  placeholder="Last Name" v-model="permission.date">
  </div>
  <button type="button" @click="add()" class="btn btn-primary form-control">Save</button>
  </div>
   </div>
  

</template>

<script>
import axios from 'axios';
export default {

  name: 'Add',
  props: {

    msg: String
  },
  created(){
this.getTypes();
  },
  data(){
    return{
      permission:{
        name:"",
        lastName:"",
        typePermissionId:0,
        date:""
      },
          types:[],
    }
  },
  methods:{
    async add(){
       if (
          this.permission.name == "" ||
          this.permission.lastName ==""||
          this.permission.typePermissionId ==0||
          !this.permission.date
      ) {
         alert("Missing values")
        return false;
      }
       axios({
         method:'post',
         url:'https://localhost:44363/api/permisos/create-permiso',
         data:{
           name:this.permission.name,
           lastName:this.permission.lastName,
           typePermissionId:parseInt(this.permission.typePermissionId),
           date:this.permission.date
         }
       }).then(response =>{
         response.data
         
       });
     },
         getTypes(){
      axios({
        method:'get',
        url:'https://localhost:44363/api/permisos/get-types'
      }).then(response =>{
        this.types=response.data.data
        console.log(this.types)
      })
    }
  }

}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}

.col-md-7 {

  background: #f8f9fa;
    padding: 20px;
    border-radius: 2px;
    margin-top: 15px;
}
</style>
